:root {
    --primary-color:#161719;
    --background-color:#161719;
    --background-color2:#0F0F0F;
    --input-background-color:#2B2F38;
    --input-text-color: #e8eaec;
    --box-shadow-color:#2B2F38;
    --button-hover-color:#161719;
    --button-hover-text-color: #e8eaec;
    --button-text-color: #e8eaec;
    --button-color:#161719;
    --text-light-color:#e8eaec;
    --text-dark-color: #7c8798;
    --header-color: #161719;
    --nav-color: #161719;
    --text-size-normal: 0.9rem;
    --font-family:"Montserrat", "Rubik", sans-serif;
    --font-heading-weight:bold; 
    --modal-type:"fullscreen";
    --nav-width: 200px;
}
body {
    background: var(--background-color);
    border-color: var(--background-color);
}

.ThemedColor {
    background: var(--background-color) !important;
    border-color: var(--primary-color) !important;
}
.ThemedColor2 {
    background: var(--background-color2) !important;
    border-color: var(--primary-color) !important;
}

.ThemedColor[type], input, textarea, select {
    background: var(--input-background-color) !important;
    border-color: var(--primary-color) !important;
    color: var(--input-text-color) !important;
}
.ThemedText {
    color: var(--text-light-color) !important;
}
body {
    font-family: var(--font-family) !important;
    font-size: var(--text-size-normal) !important;
    color: var(--text-light-color) !important;
}

.content-container-themed {
    background: var(--background-color) !important;
    border-color: var(--primary-color) !important;
    border-radius: 10px;
    border-width: 1px;
    border-style: solid;
}

.content-container {
    padding: var(--bs-gutter-x,0.75rem);
    overflow: auto !important;
}

header {
    background: var(--header-color) !important;
}

nav {
    background: var(--nav-color) !important;
}

hr {
    margin: 0.95rem 0;
}

a {
    color: var(--text-light-color);
    text-decoration: none;
}
a:hover {
    color: var(--text-dark-color);
    text-decoration: none; 
}

button, .btn {
    font-size: 0.9rem;
}

button:not(.btn-danger), .btn-primary {
    background: var(--button-color) !important;
    border-color: var(--primary-color) !important;
    color: var(--button-text-color) !important;
}

button:not(.btn-danger):hover, .btn-primary:hover {
    background: var(--button-hover-color) !important;
    border-color: var(--primary-color) !important;
    color: var(--button-hover-text-color) !important;
}

.tab-btn {
    background: rgba(255, 255, 255, 0) !important;
}

.dropdown-menu {
    background: var(--background-color);
    border-color: var(--primary-color);
}
.dropdown-item {
    display: block;
    width: 100%;
    padding: 0.65rem 1rem;
    color: var(--text-dark-color);
    background: var(--background-color);
}
a.dropdown-item, tr.dropdown-item {
    cursor:pointer;
}
.dropdown-item:hover, .dropdown-item:focus {
    color: var(--text-dark-color);
    background: var(--background-color2); 
}
.dropdown-item.active, .dropdown-item[active]{
    color: var(--text-light-color);
    background: var(--primary-color); 
}
.dropdown-item.disabled {
    color: var(--text-dark-color);
    pointer-events: none;
}
.dropdown-toggle::after {
    color: var(--text-light-color);
}

.dropdown-menu li{
    position: relative;
}
.dropdown-menu .submenu { 
    display: none;
    position: absolute;
    left:100%; top:-7px;
}
.dropdown-menu .submenu-left{ 
    right:100%; left:auto;
}
.dropdown-menu > li:hover > .submenu{
    display: block;
}